summaryrefslogtreecommitdiff
path: root/nonprism
diff options
context:
space:
mode:
authorFreemor <freemor@freemor.ca>2019-11-12 21:02:01 -0400
committerFreemor <freemor@freemor.ca>2019-11-12 21:02:01 -0400
commit25fad4502cf66c7fa1e2285cd005d0c2599855f7 (patch)
tree03f213547851a0f6173cdd3d3ad3cccb4efef109 /nonprism
parent2b5413c5bc81d81c9f7884eeb155a483da8d883e (diff)
Update [nonprism/webkit2gtk] Add i686 no-ss2 patch so i686 builds again.
Diffstat (limited to 'nonprism')
-rw-r--r--nonprism/webkit2gtk/PKGBUILD34
-rw-r--r--nonprism/webkit2gtk/webkitgtk-2.24.2-no-sse2.patch67
2 files changed, 99 insertions, 2 deletions
diff --git a/nonprism/webkit2gtk/PKGBUILD b/nonprism/webkit2gtk/PKGBUILD
index 86f9288f3..0e12bfd67 100644
--- a/nonprism/webkit2gtk/PKGBUILD
+++ b/nonprism/webkit2gtk/PKGBUILD
@@ -11,7 +11,7 @@
# - remove geoclue2 support
pkgname=webkit2gtk
-pkgver=2.26.1
+pkgver=2.26.2
pkgrel=1
pkgrel+=.nonprism1
pkgdesc="GTK+ Web content engine library"
@@ -29,13 +29,43 @@ optdepends=('gst-plugins-base: free media decoding'
'gst-plugins-bad: media decoding'
'gst-libav: nonfree media decoding')
source=(https://webkitgtk.org/releases/webkitgtk-${pkgver}.tar.xz{,.asc})
-sha256sums=('6b4b21801d2b1008422a1075dbd6fb4ae8b5127503faf657cf9671289d9cd155'
+sha256sums=('6b80f0637a80818559ac8fd50db3b394f41cb61904fb9b3ed65fa51635806512'
'SKIP')
validpgpkeys=('D7FCF61CF9A2DEAB31D81BD3F3D322D0EC4582C3'
'5AA3BC334FD7E3369E7C77B291C559DBE4C9123B')
+# disable SSE2 on 486 and 686
+if [ "$CARCH" = 'i486' -o "$CARCH" = 'i686' ]; then
+ source+=('webkitgtk-2.24.2-no-sse2.patch')
+ sha256sums+=('e95391eceeb29d0ebc57d6b867afd7cd95ed92683edeb28c6a7a5048b5a9b85b')
+
+ eval "$(
+ declare -f prepare | \
+ sed '
+ /cd.*/a patch -p1 < ../webkitgtk-2.24.2-no-sse2.patch
+ '
+ )"
+fi
+
+# work around broken generated makefiles resulting in
+# "make[2]: *** No rule to make target 'JavaScriptCore-4.0.gir', needed by 'WebKit2-4.0.gir'. Stop."
+eval "$(
+ declare -f build | \
+ sed '
+ /cmake --build build/a \
+ cd build && make JavaScriptCore-4-gir && cd .. \
+ cmake --build build
+ s/\(cmake --build build\)/\1 || true/g
+ '
+)"
+
+
+
prepare() {
cd webkitgtk-$pkgver
+
+
+
}
build() {
diff --git a/nonprism/webkit2gtk/webkitgtk-2.24.2-no-sse2.patch b/nonprism/webkit2gtk/webkitgtk-2.24.2-no-sse2.patch
new file mode 100644
index 000000000..5bcfb603d
--- /dev/null
+++ b/nonprism/webkit2gtk/webkitgtk-2.24.2-no-sse2.patch
@@ -0,0 +1,67 @@
+diff -rauN webkitgtk-2.24.2/Source/ThirdParty/ANGLE/src/image_util/loadimage.cpp webkitgtk-2.24.2-no-sse2-patch/Source/ThirdParty/ANGLE/src/image_util/loadimage.cpp
+--- webkitgtk-2.24.2/Source/ThirdParty/ANGLE/src/image_util/loadimage.cpp 2019-02-12 12:21:03.000000000 +0100
++++ webkitgtk-2.24.2-no-sse2-patch/Source/ThirdParty/ANGLE/src/image_util/loadimage.cpp 2019-06-12 09:39:11.959999956 +0200
+@@ -12,6 +12,8 @@
+ #include "common/platform.h"
+ #include "image_util/imageformats.h"
+
++#include <stdio.h>
++
+ namespace angle
+ {
+
+@@ -28,6 +30,8 @@
+ #if defined(ANGLE_USE_SSE)
+ if (gl::supportsSSE2())
+ {
++ fprintf(stderr,"SSE2 detected but Webkit compiled without SSE2 support!\n");
++
+ __m128i zeroWide = _mm_setzero_si128();
+
+ for (size_t z = 0; z < depth; z++)
+
+diff -rauN webkitgtk-2.24.2/Source/WebCore/platform/audio/SincResampler.cpp webkitgtk-2.24.2-no-sse2-patch/Source/WebCore/platform/audio/SincResampler.cpp
+--- webkitgtk-2.24.2/Source/WebCore/platform/audio/SincResampler.cpp 2019-02-12 12:21:18.000000000 +0100
++++ webkitgtk-2.24.2-no-sse2-patch/Source/WebCore/platform/audio/SincResampler.cpp 2019-06-12 09:36:23.089999961 +0200
+@@ -36,6 +36,7 @@
+ #include <wtf/MathExtras.h>
+
+ #if CPU(X86_SSE2)
++#error No SSE2
+ #include <emmintrin.h>
+ #endif
+
+diff -rauN webkitgtk-2.24.2/Source/WebCore/platform/audio/VectorMath.cpp webkitgtk-2.24.2-no-sse2-patch/Source/WebCore/platform/audio/VectorMath.cpp
+--- webkitgtk-2.24.2/Source/WebCore/platform/audio/VectorMath.cpp 2019-02-12 12:21:18.000000000 +0100
++++ webkitgtk-2.24.2-no-sse2-patch/Source/WebCore/platform/audio/VectorMath.cpp 2019-06-12 09:09:37.576666644 +0200
+@@ -33,6 +33,7 @@
+ #endif
+
+ #if CPU(X86_SSE2)
++#error No SSE2
+ #include <emmintrin.h>
+ #endif
+
+diff -rauN webkitgtk-2.24.2/Source/WTF/wtf/Platform.h webkitgtk-2.24.2-no-sse2-patch/Source/WTF/wtf/Platform.h
+--- webkitgtk-2.24.2/Source/WTF/wtf/Platform.h 2019-03-05 16:32:47.000000000 +0100
++++ webkitgtk-2.24.2-no-sse2-patch/Source/WTF/wtf/Platform.h 2019-06-12 09:47:05.889999955 +0200
+@@ -124,7 +124,7 @@
+ #define WTF_CPU_KNOWN 1
+
+ #if defined(__SSE2__) || (defined(_M_IX86_FP) && _M_IX86_FP >= 2)
+-#define WTF_CPU_X86_SSE2 1
++/* #define WTF_CPU_X86_SSE2 1 */
+ #endif
+
+ #endif
+diff -rauN webkitgtk-2.24.2/Source/WTF/wtf/text/ASCIIFastPath.h webkitgtk-2.24.2-no-sse2-patch/Source/WTF/wtf/text/ASCIIFastPath.h
+--- webkitgtk-2.24.2/Source/WTF/wtf/text/ASCIIFastPath.h 2019-02-12 12:21:17.000000000 +0100
++++ webkitgtk-2.24.2-no-sse2-patch/Source/WTF/wtf/text/ASCIIFastPath.h 2019-06-12 09:35:37.626666634 +0200
+@@ -27,6 +27,7 @@
+ #include <wtf/text/LChar.h>
+
+ #if CPU(X86_SSE2)
++#error No SSE2
+ #include <emmintrin.h>
+ #endif
+